Subject: Re: bug#23341: x-show-tip does not respect the value of tooltip-hide-delay, and the default tooltip timeout isn't configurable

From: Clément Pit--Claudel <[email-masked]>
Date: Sun, 24 Apr 2016 10:43:18 -0400

On 2016-04-24 02:08, Eli Zaretskii wrote:
>> Cc: [email-masked]
>> From: Clément Pit--Claudel <[email-masked]>
>> Date: Sat, 23 Apr 2016 18:33:13 -0400
>>
>> As a user, I would like to have a way to globally configure how long tooltips produced by Emacs are displayed.
>> At the moment, Emacs does not provide such a default. tooltip-hide-delay is close, but it does not cover all tooltips.
>>
>> As a user, I don't like it to have to customize every package that use tooltips to just to ensure a consistent default.
> 
> I understand, thanks.  But to me, such a global value makes very
> little sense, because tooltips can be used for many different features
> that don't necessary display short helpful text.  Having a single
> value for all the possible use cases is IMO not a good customization
> design, as it can never be a "one fits all" value anyway.

In that case, I don't understand why we have tooltip-hide-delay as a customizable variable, nor why the hide delay is an optional argument to x-show-tip.

But in any case, I don't think wasting Martin's or your time further is warranted; I don't want to distract the two of you from other more valuable implementation tasks, so I'll abandon this suggestion.

Clément.